org.wildfly.swarm.naming

## Class NamingFraction

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.Naming<NamingFraction>
      - - org.wildfly.swarm.naming.NamingFraction

- All Implemented Interfaces:
    Serializable, Cloneable, Map, Fraction<NamingFraction>

      public class NamingFraction
      extends Naming<NamingFraction>
      implements Fraction<NamingFraction>

  Author:
    Bob McWhirter
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.wildfly.swarm.config.Naming

      `Naming.NamingResources`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamingFraction()`

  - ### Method Summary

    - ### Methods inherited from class org.wildfly.swarm.config.Naming

      `addPropertyChangeListener, binding, binding, binding, binding, bindings, getKey, remoteNamingService, remoteNamingService, remoteNamingService, remoteNamingService, removePropertyChangeListener, subresources`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults, applyDefaults`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### NamingFraction

          public NamingFraction()

Copyright © 2018 JBoss by Red Hat. All rights reserved.